'use strict';

function ListData({datas}) {
    return (
        <MaterialUI.List sx={{width: '100%', maxWidth: 360, bgcolor: 'background.paper'}}>
            {datas.map((data, index) =>
                <div key={index}>
                    <MaterialUI.ListItem alignItems="flex-start">
                        <MaterialUI.ListItemText
                            primary={`Node ${data.name}`}
                            secondary={
                                <React.Fragment>
                                    <MaterialUI.Typography
                                        sx={{display: 'inline'}}
                                        component="span"
                                        variant="body2"
                                        color="text.primary"
                                    >
                                        to Scott, Alex, Jennifer
                                    </MaterialUI.Typography>
                                    {" — Wish I could come, but I'm out of town this…"}
                                </React.Fragment>
                            }
                        />
                    </MaterialUI.ListItem>
                    {( index !== datas.length -1 ? <MaterialUI.Divider variant="inset" component="li"/> : '' )}
                </div>
            )}
        </MaterialUI.List>
    )
}
